GNU bug report logs - #5683
23.1.93; list-colors-display doesn't show all colors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Markus Prepens <markus.prepens@HIDDEN>; merged with #10551; dated Thu, 4 Mar 2010 20:40:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 5683 10551. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5683 <at> debbugs.gnu.org:


Received: (at 5683) by debbugs.gnu.org; 18 Sep 2011 12:53:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 08:53:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R5Grx-0008Qt-CL
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2011 08:53:13 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1R5Grv-0008Qg-0a
	for 5683 <at> debbugs.gnu.org; Sun, 18 Sep 2011 08:53:11 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1R5Gn2-0003Rt-KJ; Sun, 18 Sep 2011 14:48:08 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Markus Prepens <markus.prepens@HIDDEN>
Subject: Re: bug#5683: 23.1.93; list-colors-display doesn't show all colors
In-Reply-To: <4B9ABD94.40501@HIDDEN> (Markus Prepens's message of
	"Fri, 12 Mar 2010 23:17:56 +0100")
Date: Sun, 18 Sep 2011 14:42:41 +0200
Message-ID: <m339fum37i.fsf@HIDDEN>
References: <4B901912.3090705@HIDDEN> <83fx4f2lrw.fsf@HIDDEN>
	<4B917E3F.3040605@HIDDEN> <833a0d4ydq.fsf@HIDDEN>
	<4B92D217.7090909@HIDDEN> <4B9ABD94.40501@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Jane Siberry's _Maria_: "Oh My My"
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1R5Gn2-0003Rt-KJ
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1316954888.7373@EapYgayWYt6FLPFElRFElA
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 5683
Cc: Eli Zaretskii <eliz@HIDDEN>, 5683 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Markus Prepens <markus.prepens@HIDDEN> writes:

> A few days ago I found a misbehavior related to the list-color-display
> command. I have made further investigations and finally figured out,
> that the problem is caused by the build process, I have used (by
> accident).
>
> When I run the build commands as descibed in nextstep/INSTALL
> everything works fine:
>
>   ./configure --with-ns
>   make
>   make install
>
> And this is the command sequence which builds a Emacs.app with the
> described problem:
>
>   ./configure --with-ns
>   sudo make
>   sudo make install

So if you build Emacs as root, `list-color-display' doesn't work
properly?  But that's the only side-effect you see?

That's rather puzzling.  

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs,ns. Full text available.

Message received at 5683 <at> debbugs.gnu.org:


Received: (at 5683) by debbugs.gnu.org; 12 Mar 2010 22:18:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 12 17:18:05 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NqDBF-0000dz-4f
	for submit <at> debbugs.gnu.org; Fri, 12 Mar 2010 17:18:05 -0500
Received: from fg-out-1718.google.com ([72.14.220.152])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1NqDBD-0000dd-Fs
	for 5683 <at> debbugs.gnu.org; Fri, 12 Mar 2010 17:18:04 -0500
Received: by fg-out-1718.google.com with SMTP id l26so669722fgb.15
	for <5683 <at> debbugs.gnu.org>; Fri, 12 Mar 2010 14:17:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=googlemail.com; s=gamma;
	h=domainkey-signature:received:received:message-id:date:from
	:user-agent:mime-version:to:cc:subject:references:in-reply-to
	:content-type:content-transfer-encoding;
	bh=I7yssV/avt8+BhDinjcks+WVd0AyIxaB3jnrbvuRsvw=;
	b=bxKIf9JUktjdXEBAGuWYXyaxHUe6TFQXt56smalakqrVWRI+xQ4dfpIUCs2Vnukxet
	MzDomLJj9aEcyf+0Ivfw5yiVxleUG5J1eMlcZz6I8flY2wD6QCh+9wISKeUiligcytC8
	z4j6zg8zc+osfdYy5GX/WqJGMRnH7P1XCcOrE=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=googlemail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	b=fn58QWQCutd6/XQJnM7RrV09u3nkfQIFnqmRKyc2q30P/W5SYw3ym2BQlFKY0A+pON
	nZBHvK7RKnWOdH3hEdT9Ov5e7Y41NPjPQxrIAod8s7i6plTeEAvMiDbt52SYE1pRKRNj
	cN5C2kMduFHcu7maKnJg9gxh2kzkWZWBEd9KQ=
Received: by 10.102.174.3 with SMTP id w3mr367675mue.16.1268432278776;
	Fri, 12 Mar 2010 14:17:58 -0800 (PST)
Received: from darkstar.fritz.box (dslb-094-216-053-182.pools.arcor-ip.net
	[94.216.53.182])
	by mx.google.com with ESMTPS id n7sm7170351mue.45.2010.03.12.14.17.57
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Fri, 12 Mar 2010 14:17:58 -0800 (PST)
Message-ID: <4B9ABD94.40501@HIDDEN>
Date: Fri, 12 Mar 2010 23:17:56 +0100
From: Markus Prepens <markus.prepens@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US;
	rv:1.9.1.8) Gecko/20100227 Thunderbird/3.0.3
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5683: 23.1.93; list-colors-display doesn't show all colors
References: <4B901912.3090705@HIDDEN> <83fx4f2lrw.fsf@HIDDEN>
	<4B917E3F.3040605@HIDDEN> <833a0d4ydq.fsf@HIDDEN>
	<4B92D217.7090909@HIDDEN>
In-Reply-To: <4B92D217.7090909@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5683
Cc: 5683 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.3 (-)


A few days ago I found a misbehavior related to the list-color-display 
command. I have made further investigations and finally figured out, 
that the problem is caused by the build process, I have used (by accident).

When I run the build commands as descibed in nextstep/INSTALL everything 
works fine:

   ./configure --with-ns
   make
   make install

And this is the command sequence which builds a Emacs.app with the 
described problem:

   ./configure --with-ns
   sudo make
   sudo make install


Markus




On 06/03/2010 23:07, Markus Prepens wrote:
> When I evaluate (defvar my-x-colors (ns-list-colors)) the complete color
> list is put to my-x-colors.
>
> I think your impression is right: The code is correct, but the calling
> order during startup might be the problem. Maybe this is a hint:
>
> Step 1: Startup Emacs with the -Q switch
> Step 2: Enter M-: (setq x-colors (ns-list-colors))
> Step 3: Enter M-x list-colors-display and the complete list of all
> colors appears in the *Colors* buffer.
>
> Without step 1 and 2 the *Colors* buffer shows only 37 colors.
>
> I make further investigations, what is going on.
>
> Any hints are welcome ...
>
> Markus
>
> On 06/03/2010 10:01, Eli Zaretskii wrote:
>> [Please don't drop 5683 <at> debbugs.gnu.org from the list of addressees,
>> so that the history of this bug is archived on the bug tracker, and
>> also so others could chime in to this discussion.]
>>
>>> Date: Fri, 05 Mar 2010 22:57:19 +0100
>>> From: Markus Prepens<markus.prepens@HIDDEN>
>>>
>>> Function defined-colors seems to cause the trouble. I stepped down the
>>> code to xw-defined-colors in file ns-win.el. It uses the list x-colors.
>>> It contains only 42 colors.
>>>
>>> x-colors is initialized with the return value of ns-list-colors:
>>>
>>> (defvar x-colors (ns-list-colors)
>>>
>>> What I am wondering about is that ns-list-colors returns a correct list
>>> of 794 colors.
>>>
>>> What is wrong with the assignment of (ns-list-colors) to x-colors?
>>
>> Nothing's wrong. I suspect that some code modifies x-colors after it
>> is assigned. Can you see if evaluating the following form
>>
>> (defvar my-x-colors (ns-list-colors))
>>
>> puts the full 794-color list in my-x-colors? (To evaluate the
>> expression, put the cursor immediately after the right parenthesis and
>> type "C-x C-e".)
>





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs,ns. Full text available.
bug reassigned from package 'emacs' to 'emacs,ns'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5683 <at> debbugs.gnu.org:


Received: (at 5683) by debbugs.gnu.org; 6 Mar 2010 22:07:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 17:07:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1No29f-0002nQ-BD
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2010 17:07:27 -0500
Received: from mail-fx0-f228.google.com ([209.85.220.228])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1No29e-0002nL-8g
	for 5683 <at> debbugs.gnu.org; Sat, 06 Mar 2010 17:07:26 -0500
Received: by fxm28 with SMTP id 28so4422247fxm.39
	for <5683 <at> debbugs.gnu.org>; Sat, 06 Mar 2010 14:07:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=googlemail.com; s=gamma;
	h=domainkey-signature:received:received:message-id:date:from
	:user-agent:mime-version:to:cc:subject:references:in-reply-to
	:content-type:content-transfer-encoding;
	bh=LKoe5ozI0T814mjzEGEwcStALBwVC1qwvk66GDEvZYk=;
	b=BPlTbt1UNrf3LDtZpV4maG1AXpOwA7Ofwlusy6bylHrFM4E0RNoynJTKtqrdL9RfW/
	T1EYMHzalqvcGlKaXY84dlvZxrg+e4vKlCKIXof44MEOmg1Bhmzd+chaHWWSYoLQSNB3
	7Wvs9k6oMw+Kc7WkoJTYXzbI9IXk+vTvY51tE=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=googlemail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	b=H4/oygoQHRfXyjJwbA8Kg+6DNxCF7CoSVdYafP4JqwyyPuVpbE/XDyDRpjCI3Ys2q1
	V1epH2JSPyD5WuEeiBndvBhJbth3w5KYfXM8pW6T6HxrXVmzxWsiSDhWzyhEHm3obiXi
	9RRPPF9/hstXKpyd7ZIVrKsuI+eht4qqdSwf4=
Received: by 10.223.164.165 with SMTP id e37mr3257688fay.43.1267913241270;
	Sat, 06 Mar 2010 14:07:21 -0800 (PST)
Received: from darkstar.fritz.box ([188.110.59.133])
	by mx.google.com with ESMTPS id 16sm2030435fxm.7.2010.03.06.14.07.20
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Sat, 06 Mar 2010 14:07:20 -0800 (PST)
Message-ID: <4B92D217.7090909@HIDDEN>
Date: Sat, 06 Mar 2010 23:07:19 +0100
From: Markus Prepens <markus.prepens@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US;
	rv:1.9.1.8) Gecko/20100227 Thunderbird/3.0.3
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5683: 23.1.93; list-colors-display doesn't show all colors
References: <4B901912.3090705@HIDDEN> <83fx4f2lrw.fsf@HIDDEN>
	<4B917E3F.3040605@HIDDEN> <833a0d4ydq.fsf@HIDDEN>
In-Reply-To: <833a0d4ydq.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 5683
Cc: 5683 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

When I evaluate (defvar my-x-colors (ns-list-colors)) the complete color 
list is put to my-x-colors.

I think your impression is right: The code is correct, but the calling 
order during startup might be the problem. Maybe this is a hint:

Step 1: Startup Emacs with the -Q switch
Step 2: Enter M-: (setq x-colors (ns-list-colors))
Step 3: Enter M-x list-colors-display and the complete list of all 
colors appears in the *Colors* buffer.

Without step 1 and 2 the *Colors* buffer shows only 37 colors.

I make further investigations, what is going on.

Any hints are welcome ...

Markus

On 06/03/2010 10:01, Eli Zaretskii wrote:
> [Please don't drop 5683 <at> debbugs.gnu.org from the list of addressees,
> so that the history of this bug is archived on the bug tracker, and
> also so others could chime in to this discussion.]
>
>> Date: Fri, 05 Mar 2010 22:57:19 +0100
>> From: Markus Prepens<markus.prepens@HIDDEN>
>>
>> Function defined-colors seems to cause the trouble.  I stepped down the
>> code to xw-defined-colors in file ns-win.el. It uses the list x-colors.
>> It contains only 42 colors.
>>
>> x-colors is initialized with the return value of ns-list-colors:
>>
>> (defvar x-colors (ns-list-colors)
>>
>> What I am wondering about is that ns-list-colors returns a correct list
>> of 794 colors.
>>
>> What is wrong with the assignment of (ns-list-colors) to x-colors?
>
> Nothing's wrong.  I suspect that some code modifies x-colors after it
> is assigned.  Can you see if evaluating the following form
>
>    (defvar my-x-colors (ns-list-colors))
>
> puts the full 794-color list in my-x-colors?  (To evaluate the
> expression, put the cursor immediately after the right parenthesis and
> type "C-x C-e".)





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs. Full text available.

Message received at 5683 <at> debbugs.gnu.org:


Received: (at 5683) by debbugs.gnu.org; 6 Mar 2010 09:01:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 04:01:29 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Nnpt2-0003PB-QS
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2010 04:01:28 -0500
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1Nnpt0-0003P6-Ou
	for 5683 <at> debbugs.gnu.org; Sat, 06 Mar 2010 04:01:27 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0KYU00F00RM1ID00@HIDDEN> for
	5683 <at> debbugs.gnu.org; Sat, 06 Mar 2010 11:01:21 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.34.234]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0KYU00DBMRQ8HK50@HIDDEN>;
	Sat, 06 Mar 2010 11:01:21 +0200 (IST)
Date: Sat, 06 Mar 2010 11:01:37 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5683: 23.1.93; list-colors-display doesn't show all colors
In-reply-to: <4B917E3F.3040605@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Markus Prepens <markus.prepens@HIDDEN>
Message-id: <833a0d4ydq.fsf@HIDDEN>
References: <4B901912.3090705@HIDDEN> <83fx4f2lrw.fsf@HIDDEN>
	<4B917E3F.3040605@HIDDEN>
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 5683
Cc: 5683 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

[Please don't drop 5683 <at> debbugs.gnu.org from the list of addressees,
so that the history of this bug is archived on the bug tracker, and
also so others could chime in to this discussion.]

> Date: Fri, 05 Mar 2010 22:57:19 +0100
> From: Markus Prepens <markus.prepens@HIDDEN>
> 
> Function defined-colors seems to cause the trouble.  I stepped down the 
> code to xw-defined-colors in file ns-win.el. It uses the list x-colors. 
> It contains only 42 colors.
> 
> x-colors is initialized with the return value of ns-list-colors:
> 
> (defvar x-colors (ns-list-colors)
> 
> What I am wondering about is that ns-list-colors returns a correct list 
> of 794 colors.
> 
> What is wrong with the assignment of (ns-list-colors) to x-colors?

Nothing's wrong.  I suspect that some code modifies x-colors after it
is assigned.  Can you see if evaluating the following form

  (defvar my-x-colors (ns-list-colors))

puts the full 794-color list in my-x-colors?  (To evaluate the
expression, put the cursor immediately after the right parenthesis and
type "C-x C-e".)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs. Full text available.

Message received at 5683 <at> debbugs.gnu.org:


Received: (at 5683) by debbugs.gnu.org; 5 Mar 2010 08:52:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 03:52:31 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NnTGp-0001lg-ES
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2010 03:52:31 -0500
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1NnTGm-0001lb-Ni
	for 5683 <at> debbugs.gnu.org; Fri, 05 Mar 2010 03:52:29 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0KYS00900WH8SE00@HIDDEN> for
	5683 <at> debbugs.gnu.org; Fri, 05 Mar 2010 10:52:04 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.34.234]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0KYS0072ZWMR7S80@HIDDEN>;
	Fri, 05 Mar 2010 10:52:04 +0200 (IST)
Date: Fri, 05 Mar 2010 10:52:19 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#5683: 23.1.93; list-colors-display doesn't show all colors
In-reply-to: <4B901912.3090705@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Markus Prepens <markus.prepens@HIDDEN>
Message-id: <83fx4f2lrw.fsf@HIDDEN>
References: <4B901912.3090705@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 5683
Cc: 5683 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> Date: Thu, 04 Mar 2010 21:33:22 +0100
> From: Markus Prepens <markus.prepens@HIDDEN>
> Cc: 
> 
> Hello,
> 
> after installing Emacs 23.1.93, I figured out that the
> list-colors-display doesn't show all colors. The *Colors* buffer looks
> like this:
> 
> White                  White                                 #ffffff
> Yellow                 Yellow                                #ffff00
> Red                    Red                                   #ff0000
> Purple                 Purple                                #7f007f
> Orange                 Orange                                #ff7f00
> Magenta                Magenta                               #ff00ff
> Green                  Green                                 #00ff00
> Cyan                   Cyan                                  #00ffff
> Brown                  Brown                                 #996633
> Blue                   Blue                                  #0000ff
> Black                  windowFrameTextColor                  #000000
> windowFrameColor       windowFrameColor                      #aaaaaa
> textColor              windowBackgroundColor                 #000000
> textBackgroundColor    textBackgroundColor                   #ffffff
> selectedTextColor      shadowColor                           #000000
> selectedTextBackgroundColor selectedTextBackgroundColor      #c7d0db
> selectedMenuItemTextColor selectedMenuItemTextColor          #ffffff
> selectedMenuItemColor  selectedMenuItemColor                 #000000
> selectedKnobColor      selectedKnobColor                     #646698
> selectedControlTextColor selectedControlTextColor            #000000
> selectedControlColor   selectedControlColor                  #c7d0db
> secondarySelectedControlColor secondarySelectedControlColor  #d4d4d4
> scrollBarColor         scrollBarColor                        #aaaaaa
> knobColor              knobColor                             #9899ba
> keyboardFocusIndicatorColor keyboardFocusIndicatorColor      #9babbd
> highlightColor         highlightColor                        #ffffff
> headerTextColor        headerTextColor                       #000000
> headerColor            headerColor                           #aaaaaa
> gridColor              gridColor                             #cccccc
> disabledControlTextColor disabledControlTextColor            #7f7f7f
> controlTextColor       controlTextColor                      #000000
> controlShadowColor     controlShadowColor                    #939393
> controlLightHighlightColor controlLightHighlightColor        #ffffff
> controlHighlightColor  controlHighlightColor                 #e8e8e8
> controlColor           controlDarkShadowColor                #000000
> alternateSelectedControlTextColor controlBackgroundColor     #ffffff
> alternateSelectedControlColor alternateSelectedControlColor  #738499
> 
> 
> Any suggestion?

Can you step with edebug through list-colors-display and tell where
the list of colors get shortened?  It could be that the value returned
by display-color-cells is too small, or that list-colors-duplicates
decides that some colors are duplicates of others, or the list
returned by defined-colors is too short, or ...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Mar 2010 20:39:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 15:39:47 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NnHpi-0005VQ-FW
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2010 15:39:47 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1NnHmW-0005U8-Ea
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2010 15:36:29 -0500
Received: from mx10.gnu.org ([199.232.76.166]:47331)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1NnHmS-0001Mo-1y
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2010 15:36:24 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <markus.prepens@HIDDEN>)
	id 1NnHjg-0003D1-B8
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2010 15:33:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FORGED_RCVD_HELO,
	RATWARE_GECKO_BUILD,UNPARSEABLE_RELAY autolearn=no version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:44531)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <markus.prepens@HIDDEN>) id 1NnHjg-0003Cx-5A
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2010 15:33:32 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NnHjf-0000B8-Dj
	for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2010 15:33:31 -0500
Received: from [140.186.70.92] (port=35276 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NnHje-0000AM-9G
	for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2010 15:33:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1NnHjc-0005xX-I7
	for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2010 15:33:30 -0500
Received: from mail-fx0-f222.google.com ([209.85.220.222]:45546)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <markus.prepens@HIDDEN>) id 1NnHjc-0005xM-8P
	for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2010 15:33:28 -0500
Received: by fxm22 with SMTP id 22so3344031fxm.26
	for <bug-gnu-emacs@HIDDEN>; Thu, 04 Mar 2010 12:33:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=googlemail.com; s=gamma;
	h=domainkey-signature:received:received:message-id:date:from
	:user-agent:mime-version:to:subject:content-type
	:content-transfer-encoding;
	bh=+HmCq2DkY0KUwvr9eKY3rsrn3tfbbuDf3D2PNg49h4A=;
	b=HdfviZJpWTLsoc6Kt7HItF9qhEB3kSb4eSutY2LoPcwu4BqgJISqnCawIFT6xgRus0
	7g+k0kdwSfZAK0Fwk12WBXvfrGtQkqLEVuxtLSK71Vk2f+pScUOc+KcW85lysCLah4wn
	wDID0nTr3vPpotNaCWk9Yc7ijPGr2c0Vp0QSQ=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=googlemail.com; s=gamma;
	h=message-id:date:from:user-agent:mime-version:to:subject
	:content-type:content-transfer-encoding;
	b=xHhejnFFQ2Q3qQcmJXtjg6kwgib4wnm86m7lxONS26EOtNcMMdlxvXiV49gln3VVud
	+ZdpRc44LfoJAWKdjvTKLDOCE9vFU0XvD79CuXvKgFuK3H1h3w88HnXoqygODA64gUh4
	hKqpBSRnWXHvIBL/84hWWovKwzf2A4d3fvPHo=
Received: by 10.87.66.14 with SMTP id t14mr312809fgk.60.1267734806088;
	Thu, 04 Mar 2010 12:33:26 -0800 (PST)
Received: from darkstar.fritz.box (dslb-188-099-118-037.pools.arcor-ip.net
	[188.99.118.37])
	by mx.google.com with ESMTPS id 16sm688870fxm.11.2010.03.04.12.33.25
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Thu, 04 Mar 2010 12:33:25 -0800 (PST)
Message-ID: <4B901912.3090705@HIDDEN>
Date: Thu, 04 Mar 2010 21:33:22 +0100
From: Markus Prepens <markus.prepens@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US;
	rv:1.9.1.7) Gecko/20100111 Thunderbird/3.0.1
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 23.1.93; list-colors-display doesn't show all colors
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 04 Mar 2010 15:39:45 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Hello,

after installing Emacs 23.1.93, I figured out that the
list-colors-display doesn't show all colors. The *Colors* buffer looks
like this:

White                  White                                 #ffffff
Yellow                 Yellow                                #ffff00
Red                    Red                                   #ff0000
Purple                 Purple                                #7f007f
Orange                 Orange                                #ff7f00
Magenta                Magenta                               #ff00ff
Green                  Green                                 #00ff00
Cyan                   Cyan                                  #00ffff
Brown                  Brown                                 #996633
Blue                   Blue                                  #0000ff
Black                  windowFrameTextColor                  #000000
windowFrameColor       windowFrameColor                      #aaaaaa
textColor              windowBackgroundColor                 #000000
textBackgroundColor    textBackgroundColor                   #ffffff
selectedTextColor      shadowColor                           #000000
selectedTextBackgroundColor selectedTextBackgroundColor      #c7d0db
selectedMenuItemTextColor selectedMenuItemTextColor          #ffffff
selectedMenuItemColor  selectedMenuItemColor                 #000000
selectedKnobColor      selectedKnobColor                     #646698
selectedControlTextColor selectedControlTextColor            #000000
selectedControlColor   selectedControlColor                  #c7d0db
secondarySelectedControlColor secondarySelectedControlColor  #d4d4d4
scrollBarColor         scrollBarColor                        #aaaaaa
knobColor              knobColor                             #9899ba
keyboardFocusIndicatorColor keyboardFocusIndicatorColor      #9babbd
highlightColor         highlightColor                        #ffffff
headerTextColor        headerTextColor                       #000000
headerColor            headerColor                           #aaaaaa
gridColor              gridColor                             #cccccc
disabledControlTextColor disabledControlTextColor            #7f7f7f
controlTextColor       controlTextColor                      #000000
controlShadowColor     controlShadowColor                    #939393
controlLightHighlightColor controlLightHighlightColor        #ffffff
controlHighlightColor  controlHighlightColor                 #e8e8e8
controlColor           controlDarkShadowColor                #000000
alternateSelectedControlTextColor controlBackgroundColor     #ffffff
alternateSelectedControlColor alternateSelectedControlColor  #738499


Any suggestion?
Markus



In GNU Emacs 23.1.93.1 (powerpc-apple-darwin8.11.0, NS apple-appkit-824.48)
  of 2010-02-28 on darkstar.fritz.box
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
   desktop-save-mode: t
   savehist-mode: t
   show-paren-mode: t
   recentf-mode: t
   partial-completion-mode: t
   icomplete-mode: t
   global-reveal-mode: t
   reveal-mode: t
   global-hl-line-mode: t
   global-auto-revert-mode: t
   auto-insert-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t
   view-mode: t

Recent input:
M-x <up> <return> <S-down> <C-end> <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
Loading /Users/markus/.emacs.d/light-ink-theme.el (source)...
Ido mode enabled
Loading /Users/markus/.emacs.d/light-ink-theme.el (source)...done
Loading message...done
test
Wrote /Users/markus/.emacs.desktop.lock
Desktop: 1 buffer restored.
For information about GNU Emacs and the GNU system, type C-h C-a.
Type C-x 1 to delete the help window, C-M-v to scroll help.
Mark set

Load-path shadows:
~/.emacs.d/custom hides 
/Applications/Emacs.app/Contents/Resources/lisp/custom

Features:
(shadow sort mail-extr emacsbug help-mode view eldoc message ecomplete
rfc822 mml mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader
gnus-util netrc time-date mm-util mail-prsvr gmm-utils mailheader
canlock sha1 hex-util hashcash mail-utils winner windmove
tempo-snippets-templates tempo-snippets cl cl-19 tempo hippie-exp comint
ring thingatpt desktop byte-opt bytecomp byte-compile ediff-merg
ediff-diff ediff-wind ediff-help ediff-util ediff-mult ediff-init ediff
find-file edmacro kmacro avoid light-ink-theme savehist uniquify advice
help-fns advice-preload paren recentf tree-widget wid-edit complete ido
icomplete reveal hl-line autorevert delsel autoinsert cus-start cus-load
server tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win
easymenu tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)






Acknowledgement sent to Markus Prepens <markus.prepens@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5683; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.